'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _InputLayer = require('../layer/InputLayer');

var _InputLayer2 = _interopRequireDefault(_InputLayer);

var _OutputLayer = require('../layer/OutputLayer');

var _OutputLayer2 = _interopRequireDefault(_OutputLayer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var ShallowNetwork = function () {
    function ShallowNetwork(inputCount, outputCount, activationFunction, learningRate) {
        _classCallCheck(this, ShallowNetwork);

        this.inputLayer = new _InputLayer2.default(inputCount);
        this.outputLayer = new _OutputLayer2.default(outputCount, this.inputLayer, activationFunction, learningRate);
    }

    _createClass(ShallowNetwork, [{
        key: 'invoke',
        value: function invoke(inputs) {
            this.inputLayer.feedForward(inputs);
            return this.outputLayer.feedForward();
        }
    }, {
        key: 'learn',
        value: function learn(targetOutputs) {
            this.outputLayer.backPropagateCalculateErrorGradient(targetOutputs);
            this.outputLayer.backPropagateOptimize();
        }
    }]);

    return ShallowNetwork;
}();

exports.default = ShallowNetwork;