'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function () {
    var network = new _ShallowNetwork2.default(2, 3, new _LeakyRelu2.default(), 0.1);

    var trainingSets = [//Outputs: [AND, GreaterThan, LessThan]
    [[0, 0], [0, 0, 0]], [[0, 1], [0, 0, 1]], [[1, 0], [0, 1, 0]], [[1, 1], [1, 1, 1]]];

    (0, _shuffleTrain2.default)(network, trainingSets, 1000);
};

var _ShallowNetwork = require('./ShallowNetwork');

var _ShallowNetwork2 = _interopRequireDefault(_ShallowNetwork);

var _LeakyRelu = require('../activation-function/LeakyRelu');

var _LeakyRelu2 = _interopRequireDefault(_LeakyRelu);

var _shuffleTrain = require('../trainer/shuffleTrain');

var _shuffleTrain2 = _interopRequireDefault(_shuffleTrain);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }